package com.cloudcross.ssp.model;

import java.util.Date;

public class AdGroupSchedule {
	private long id;
	  
	  private long adGroupId;
	  /**
	   * 排期开始日期
	   */
	  private String startDate;
	  private Date beginDate;
	  /**
	   * 排期结束日期
	   */
	  private String endDate;
	  private Date sEndDate;
	  /**
	   * 投放小时段 eg:0,1,5
	   */
	  private String dehours;
	  /**
	   * 每日投放上限
	   */
	  private Long dailyImpression = 0l;
	  
	  private Date updated;
	  
	public void setDailyImpression(Long dailyImpression) {
		this.dailyImpression = dailyImpression;
	}
	public Long getDailyImpression() {
		return this.dailyImpression;
	}
	public long getId() {
	    return id;
	  }
	  public void setId(long id) {
	    this.id = id;
	  }
	  public long getAdGroupId() {
	    return adGroupId;
	  }
	  public void setAdGroupId(long adGroupId) {
	    this.adGroupId = adGroupId;
	  }
	  public Date getUpdated() {
	    return updated;
	  }
	  public void setUpdated(Date updated) {
	    this.updated = updated;
	  }
	  public String getStartDate() {
	    return startDate;
	  }
	  public void setStartDate(String startDate) {
	    this.startDate = startDate;
	  }
	  public String getEndDate() {
	    return endDate;
	  }
	  public void setEndDate(String endDate) {
	    this.endDate = endDate;
	  }
	  public String getDehours() {
	    return dehours;
	  }
	  public void setDehours(String dehours) {
	    this.dehours = dehours;
	  }
	  public Date getBeginDate() {
	    return beginDate;
	  }
	  public void setBeginDate(Date beginDate) {
	    this.beginDate = beginDate;
	  }
	  public Date getsEndDate() {
	    return sEndDate;
	  }
	  public void setsEndDate(Date sEndDate) {
	    this.sEndDate = sEndDate;
	  }
	@Override
	public String toString() {
		return "AdGroupSchedule [id=" + id + ", adGroupId=" + adGroupId
				+ ", startDate=" + startDate + ", beginDate=" + beginDate
				+ ", endDate=" + endDate + ", sEndDate=" + sEndDate
				+ ", dehours=" + dehours + ", dailyImpression="
				+ dailyImpression + ", updated="
				+ updated + "]";
	}
	  
}
